
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ios中的线程安全单例实现 / iVAN</title>

    <meta name="description" content="ios中的线程安全单例实现 我们这里重点讨论的是线程安全,而不是单例的严格实现(若需要严格实现还需要复写一些方法,更改一些实现代码): gcd实现:   static AccountManager *sharedAccountManagerInstance = nil;  + (AccountManager *)sharedManager {      static dispatch_once_t predicate; dispatch_once(&amp;predicate, ^{                  sh ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">ios中的线程安全单例实现</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>我们这里重点讨论的是线程安全，而不是单例的严格实现（若需要严格实现还需要复写一些方法，更改一些实现代码）：</p>
<p>gcd实现：</p>
<p>  static AccountManager *sharedAccountManagerInstance = nil; </p>
<p>+ (AccountManager *)sharedManager { </p>
<p>    static dispatch_once_t predicate; dispatch_once(&amp;predicate, ^{        <br />
          sharedAccountManagerInstance = [[AccountManager alloc] init];  <br />
    });</p>
<p>    return sharedAccountManagerInstance; </p>
<p>}</p>
<p>利用系统提供的能力来实现，此处保证^{        <br />
          sharedAccountManagerInstance = [[self alloc] init];  <br />
    });在应用程序的生命周期里只被执行一次；若sharedAccountManagerInstance被外面被手动释放（arc下无法手动release不存在此问题），则会造成崩溃，崩溃原因时野指针访问，系统错误码应为exc_bad_access.因此调用获取单例对象者是不应该释放该单例对象的，这点需要严格遵守，单例本身的设计思想也包含了这一点。</p>
<p>双检锁实现：增加的外围检查用来提高效率。</p>
<p>static AccountManager *sharedAccountManagerInstance = nil; </p>
<p>+ (AccountManager *)sharedManager</p>
<p>{  <br />
   if(sharedAccountManagerInstance == nil)</p>
<p>{</p>
<pre><code>  @synchronized (self){
        if (sharedAccountManagerInstance == nil)
        {
            sharedAccountManagerInstance = [[AccountManager alloc] init];
        }
    }</code></pre>
<p>}</p>
<p>    return sharedAccountManagerInstance; </p>
<p>}</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-28 09:51:00</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%ae%89%e5%85%a8/" title="安全">安全</a>, <a href="https://www.iamivan.net/tag/ios/" title="ios">ios</a>, <a href="https://www.iamivan.net/tag/%e7%ba%bf%e7%a8%8b/" title="线程">线程</a>, <a href="https://www.iamivan.net/tag/static/" title="static">static</a>, <a href="https://www.iamivan.net/tag/arc/" title="arc">arc</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>ios中的线程安全单例实现的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bB1XXNz.html" rel="bookmark">ios-iOS能讲解下在继承uiview中该怎样用单例并传值</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 iOS能讲解下在继承uiview中该怎样用单例并传值 最好有简单代码实例 真的十分感谢 就是自己写了单独的错误提示框 想实例化一次后 就不需要实例了 解决方案 错误提示框一般都是使用的时候显示,不使用的时候释放,这样比较合理,不要滥用单例,如果觉得每次实例化麻烦那就写个类方法,方法里面根据传入的字符串创建实例然后返回实例,你只需要在要用的类中去接收这个实例,然后控制显示和隐藏就好了 解决方案二: 那你可以单独写一个类用于处理,再分别引入就可以了.如果是单例你的警告内容更改也会比较麻烦			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0Q6y7p.html" rel="bookmark">java-项目中什么时候用单例什么时候用多例？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 项目中什么时候用单例什么时候用多例? 在网上看朋友说,action一定要用多例,保证数据安全.那么在项目开发中,通常哪些地方用单例哪些地方用多例呢? 解决方案 单例多例需要搞明白两个问题: 1. 什么是单例多例: 2. 如何产生单例多例: 3. 为什么要用单例多例 4. 什么时候用单例,什么时候用多例: 1. 什么是单例多例: 所谓单例就是所有的请求都用一个对象来处理,比如我们常用的service和dao层的对象通常都是单例的,而多例则指每个请求用一个新的对象来处理,比如action;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmBnPlz.html" rel="bookmark">NodeJS中的模块是单例的吗？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文翻译自 Lazlojuly 的 are-node-js-modules-singletons. 本文从属于笔者的NodeJS入门与最佳实践中的NodeJS 基础系列文章,包括NodeJS 入门.NodeJS 模块导出与解析.NodeJS IOStream.NodeJS HTTPS这几部分. 笔者之前在使用require导入模块时,特别是在导入有状态的模块时,笔者会考虑其是否在多次导入情况下依然保持单例特性,或者说对于同一个文件在不同路径下导入时,是否能够识别为一致?本文即是对该特性进行解析.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M60VYNz.html" rel="bookmark">关于iOS中的线程安全和使用场景</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				下面这一篇是关于线程安全保护实现的几种方式和对比,综合来讲,如果简单的同步(不考虑性能)可以使用代码实现最简单的@synchronized,也是我们最常用的做法. 如果关注性能或在gcd中使用,推荐使用dispatch_semaphore_wait. http://www.jianshu.com/p/938d68ed832c 注意:这里如果要使用dispatch_semaphore_wait来实现同步效果,第二个参数应该填写DISPATCH_TIME_FOREVER 关于dispatch_sem			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxoO5jb.html" rel="bookmark">java-Java 单例线程安全问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Java 单例线程安全问题 public class A { public final static A INSTANCE = new A(); private A(){} }这个类是不是线程安全的呢?单例能这样写吗? 解决方案 这种写法是线程安全的.但是在该类一开始被加载的时候INSTANCE = new A()就会被执行.具体参考陈皓的博客深入浅出单实例Singleton设计模式介绍得非常详细. 解决方案二: 如果单线程中初始化,多线程中应用就没问题. 解决方案三: 深入解析单例线			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5A2onp.html" rel="bookmark">C&num;下的单例实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最普通的一种: 以下是引用片段: using System; public class Singleton { private static Singleton instance; private Singleton() {} public static Singleton Instance { get { if (instance == null) instance = new Singleton(); return instance; } } } 这种方案在.net下面是线程不安全的,每个线			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8621Vb.html" rel="bookmark">Singleton（单例）模式和Double-Checked Locking（双重检查锁定）模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 现在,不管开发一个多大的系统(至少我现在的部门是这样的),都会带一个日志功能:在实际开发过程中,会专门有一个日志模块,负责写日志,由于在系统的任何地方,我们都有可能要调用日志模块中的函数,进行写日志.那么,如何构造一个日志模块的实例呢?难道,每次new一个日志模块实例,写完日志,再delete,不要告诉我你是这么干的.在C++中,可以构造一个日志模块的全局变量,那么在任何地方就都可以用了,是的,不错.但是,我所在的开发部门的C++编码规范是参照Google的编码规范的. 全局变量在项目			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MArZQep.html" rel="bookmark">iOS 使用 dispatch&lowbar;once 创建线程安全的单例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用 dispatch_once 创建单例 Creating singletons using dispatch_once 无论喜欢与否,有时你确实需要使用单例.事实上,每一个 iOS 和 Mac OS 应用都至少用到了一个单例:UIApplication 或NSApplication. Love them or loathe them, sometimes you need to have a singleton. In fact every iOS and Mac OS applicatio			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M69wZLb.html" rel="bookmark">JAVA之旅（十四）&mdash;&mdash;静态同步函数的锁是class对象，多线程的单例设计模式，死锁，线程中的通讯以及通讯所带来的安全隐患，等待唤醒机制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JAVA之旅(十四)--静态同步函数的锁是class对象,多线程的单例设计模式,死锁,线程中的通讯以及通讯所带来的安全隐患,等待唤醒机制 JAVA之旅,一路有你,加油! 一.静态同步函数的锁是class对象 我们在上节验证了同步函数的锁是this,但是对于静态同步函数,你又知道多少呢? 我们做一个这样的小实验,我们给show方法加上static关键字去修饰 private static synchronized void show() { if (tick &gt; 0) { try { Thread			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQ58bq.html" rel="bookmark" class="title">防止iphone进入休眠后台播放音乐</a>
					<div>
						 步骤一:在resource文件夹下找到该项目的info.plist添加一个 Required background modes 的数组 并在下面添加一个元素,其值为 App plays audio  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1kW9z.html" rel="bookmark" class="title">SEO老生常谈：提高网站收录和排名全攻略</a>
					<div>
						现在网上有很多关于提高网站收录和排名方法的文章,大家都写得挺好的,而且关于这一问题更属于老生常谈.只不过对于很多网站SEO优化的新手来讲,一篇篇地看都太费时费力了,下面是郑州做网站公司_乐之人科技总结 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5kPnb.html" rel="bookmark" class="title">各种媒体在线播放代码</a>
					<div>
						媒体|在线     现在有自己blog的人越来越多了,大家也都想在自己的blog上勾画出自己的特色,比如个性的首页.个性的介绍以及向大家推荐自己喜欢的音乐等.为了给大家也给自己提供方便,整理了一些流行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4ZoJM.html" rel="bookmark" class="title">Photoshop制作逼真的水墨画</a>
					<div>
						Photoshop制作逼真的水墨画效果,图文教程 &quot;水墨质感&quot;完成效果如图01.图02.图03所示,所需素材如图04所示. 图01水墨效果 图0 2 水墨效果 图03 &quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW11lrz.html" rel="bookmark" class="title">php 构造函数支持不同个数参数的方法</a>
					<div>
						php 构造函数支持不同个数参数方法 原理:在__construct中使用 func_num_args 获取参数个数,再根据参数个数执行不同的调用.参数值使用func_get_arg() 方法获得.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKnD6p.html" rel="bookmark" class="title">架设dns服务器全攻略</a>
					<div>
						首先从http://www.isc.org/products/BIND/(version 9.2.2)下载bind,并如下将压缩包解开. tar -xzvpf bind-9.2.2rc1.tar.gz ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKv8OM.html" rel="bookmark" class="title">详解JavaScript中void语句的使用</a>
					<div>
						  这篇文章主要介绍了详解JavaScript中void语句的使用,是JS入门学习中的基础知识,需要的朋友可以参考下 void是在JavaScript中的一个重要的关键字可被用作其单操作数之前出现一元 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyOKab.html" rel="bookmark" class="title">PS制作金属质感文字效果教程</a>
					<div>
						1.打字.颜色是50%黑色 2.建立通道.方法.按住ctrl点图层..然后进入通道面版.建立 3.高斯模糊 返回图层.光照效果 分类: PS文字教程					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKZkap.html" rel="bookmark" class="title">关于include标签导致js路径找不到的问题分析及解决</a>
					<div>
						关于使用jsp:include标签及&lt;%@ include标签时要注意的事项 先回忆一下二者的区别(对于此篇文章而言,二者在用法上没有区别) jsp:include是先编译一下included. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxaP0b.html" rel="bookmark" class="title">PHP实现懒加载的方法</a>
					<div>
						 这篇文章主要介绍了PHP实现懒加载的方法,实例分析了php加载的原理与懒加载的实现技巧,具有一定参考借鉴价值,需要的朋友可以参考下     本文实例讲述了PHP实现懒加载的方法.分享给大家供大家参考 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwXdnb.html" rel="bookmark" class="title">Win7浏览器不支持Cookie怎么办</a>
					<div>
						  1.首先,在IE页面的右上角点击&quot;工具&quot;按钮,如图所示: 2.弹出下拉菜单,选择&quot;internet选项&quot;. 3.打开&quot;internet选项&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdxoaM.html" rel="bookmark" class="title">消费一体机屏幕背光相关电压测量手册V3&period;0</a>
					<div>
						  知识点分析: 消费一体机屏幕背光相关电压测量手册V3.0 适用范围: 1. 此手册适用于主机加电自检正常,但黑屏.无背光.背光弱.屏闪类故障. 2. 部分内容来自知识库,感谢原文作者. 操作步骤: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBoaRz.html" rel="bookmark" class="title">Mac开机启动项怎么设置</a>
					<div>
						电脑开机速度慢怎么办?相信很多朋友第一时间会想到的是优化开机启动项.对于大家熟悉的Windows系统来说,设置开机启动项并不难,但如果是苹果Mac电脑,该如何设置开机启动项?苹果电脑运行的OS X系统 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24DXkp.html" rel="bookmark" class="title">如何检测到系统中有视频播放</a>
					<div>
						问题描述 如何检测到系统中有视频播放 希望能检测到系统中有播放器或者浏览器在进行视频播放,更进一步的希望能够检测到视频播放的区域,不知该如何做. 解决方案 不知道什么语言,如果是C++,可以用API  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkAV4b.html" rel="bookmark" class="title">使用logback 写入日志，部署到linux服务器上后失败问题？</a>
					<div>
						问题描述 使用logback 写入日志,部署到linux服务器上后失败问题? 使用logback 写入日志,在本地测试时可以的,部署到linux服务器上后,写入失败,连日志文件都没有生成,是怎么回事? ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7O8Az.html" rel="bookmark" class="title">iOS 6&period;0 Masonry自动布局表头&sol;表尾时崩溃解决方案</a>
					<div>
						iOS 6.0 Masonry自动布局表头/表尾时崩溃解决方案 使用Masonry要兼容iOS6.0,正常情况下都是可以的.但是对于UITableView的tableHeaderView或者table ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PrBQp.html" rel="bookmark" class="title">session和cookies在ASP&period;net中同时使用 举例</a>
					<div>
						问题描述 session和cookies在ASP.net中同时使用 举例 session和cookies在ASP.n中同时使用 举例 我不知道该怎么同时使用 我现在弄了个 自动判断浏览器语言 和可以自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqENab.html" rel="bookmark" class="title">android webview-加载带声音的H5 声音不自动播放 音频是个背景音乐可以关闭可以打开，点击关闭在打开就能播放什么原因</a>
					<div>
						问题描述 加载带声音的H5 声音不自动播放 音频是个背景音乐可以关闭可以打开,点击关闭在打开就能播放什么原因 加载带声音的H5 声音不自动播放 音频是个背景音乐可以关闭可以打开,点击关闭在打开就能播放 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmXw9M.html" rel="bookmark" class="title">【SVN】（一）常见报错及解决（2015&period;12&period;10-2015&period;12&period;11）</a>
					<div>
						一.svn主从同步op目录时,遇到的问题 命令:/svn/apache2/subversion-1.6.13/subversion/svnsync/svnsync sync  https://10.1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWW68rM.html" rel="bookmark" class="title">狗狗搜索宣布将停止服务 官方未说明停止服务原因</a>
					<div>
						昨天,狗狗搜索宣布,gougou.com网站即将http://www.aliyun.com/zixun/aggregation/10337.html&quot;&gt;停止服务.狗狗搜索官方并未说明停 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgrW9M.html" rel="bookmark" class="title">采用设计语言Material Design的Chrome浏览器长啥样</a>
					<div>
						早在1年前,谷歌就曾计划将Material Design引入至Chrome,最近谷歌的频繁动作表明已经开始加速推进浏览器整合该跨平台设计语言.根据Google Code上的文件显示,有望在Chrome ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgW9LM.html" rel="bookmark" class="title">hibernate 如何自关联</a>
					<div>
						问题描述 一个类WatElectric有一个属性是fillDate,表示填写日期,class WatElectric{    private int id;    private Double inc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0akjp.html" rel="bookmark" class="title">JavaScript判断DOM何时加载完毕的技巧&lowbar;javascript技巧</a>
					<div>
						处理HTML DOM文档存在一个难题是,JavaScript可以在DOM完全加载之前执行,这会给你的代码引发不少的潜在问题.浏览器的渲染和操作顺序大致如下列表: HTML解析完毕 外部脚本和样式表加载 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPld2qp.html" rel="bookmark" class="title">Repeater中有个密码字段要解密如何做啊？</a>
					<div>
						问题描述 我用的是存储过程要在也没显示解密后的密码,不知道在前台如何调用后台的解密方法给密码字段解密.或着有什么方法将dataset的密码列解密再合并到dataset中然后再绑定到Repeater 解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJeOVVp.html" rel="bookmark" class="title">高校教师找黑客入侵海事局内网被判刑15年</a>
					<div>
						楚天都市报讯 本报记者余皓 实习生李珍 通讯员叶军 一个是广东某高校老师,一个是上海某信息公司技术员,两人相互勾结攻破多地海事局外网,甚至一度入侵交通部海事局内网,篡改资料制造假船员证. 2006年6 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjo84VM.html" rel="bookmark" class="title">传苹果携VMware为iPad打造企业云计算版iWork</a>
					<div>
						北京时间10月23日消息,据国外媒体报道,消息人士透露,苹果计划与VMware携手,面向iPad设备推出基于云计算的企业版iWork办公软件套装,此举旨在抗衡微软可能推出的iOS版Office办公软件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn4aWZb.html" rel="bookmark" class="title">JavaScript监测ActiveX控件是否已经安装过的代码&lowbar;javascript技巧</a>
					<div>
						function detectPlugin(CLSID,functionName) { var pluginDiv = document.createElement(&quot;&lt;div id= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQW0k8p.html" rel="bookmark" class="title">whatsapp怎么添加好友 whatsapp添加好友的方法</a>
					<div>
						whatsapp如何添加好友? 加好友有条件要求,对方必须安装了whatsapp并且也是通过手机号安装. 这里是以iPhone版的客户端为演示. 1.我们在手机中安装whatsapp,然后允许它访问我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqO2E3z.html" rel="bookmark" class="title">史玉柱：网游业资金过剩不宜继续进入</a>
					<div>
						本报上海讯 (记者刘放)巨人网络昨天在上海举行&lt;绿色征途&gt;公测发布会,宣布将于3月12日开启全新的健康绿色模式.巨人网络董事长兼CEO史玉柱接受记者采访时谈及网游行业称:&quot;现在没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zw5W98M.html" rel="bookmark" class="title">Jquery数字上下滚动动态切换插件&lowbar;jquery</a>
					<div>
						Jq打造的数字滚动插件,数字变化时,动态滚动切换,效果非常好. 我们先来看示例: CSS .textC { position:absolute; width:500px; overflow:hidde ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
